OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_Signature Class Reference

Signature provides the basic service used by the classes
SelectSignature and Counter (i.e. Name, Value), which is :
- for an entity in a model, give a characteristic string, its
signature
This string has not to be unique in the model, but gives a
value for such or such important feature.
Exemples : Dynamic Type; Category; etc
.

`#include <IFSelect_Signature.hxx>`

Inheritance diagram for IFSelect_Signature:

[legend]

## Public Member Functions
Standard_EXPORT void | SetIntCase (const Standard_Boolean hasmin, const Standard_Integer valmin, const Standard_Boolean hasmax, const Standard_Integer valmax)
| Sets the information data to tell "integer cases" with possible min and max values To be called when creating .
Standard_EXPORT Standard_Boolean | IsIntCase (Standard_Boolean &hasmin, Standard_Integer &valmin, Standard_Boolean &hasmax, Standard_Integer &valmax) const
| Tells if this Signature gives integer values and returns values from SetIntCase if True .
Standard_EXPORT void | AddCase (const Standard_CString acase)
| Adds a possible case To be called when creating, IF the list of possible cases for Value is known when starting For instance, for CDL types, rather do not fill this, but for a specific enumeration (such as a status), can be used .
Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString | CaseList () const
| Returns the predefined list of possible cases, filled by AddCase Null Handle if no predefined list (hence, to be counted) Useful to filter on really possible vase, for instance, or for a help .
Standard_EXPORT Standard_CString | Name () const
| Returns an identification of the Signature (a word), given at initialization time //! Returns the Signature for a Transient object. It is specific of each sub-class of Signature. For a Null Handle, it should provide "" It can work with the model which contains the entity .
Standard_EXPORT TCollection_AsciiString | Label () const
| The label of a Signature uses its name as follow : "Signature : <name>" .
virtual Standard_EXPORT Standard_Boolean | Matches (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model, const TCollection_AsciiString &text, const Standard_Boolean exact) const
| Tells if the value for <ent> in <model> matches a text, with a criterium <exact>. The default definition calls MatchValue Can be redefined .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Standard_Boolean | MatchValue (const Standard_CString val, const TCollection_AsciiString &text, const Standard_Boolean exact)
| Default procedure to tell if a value <val> matches a text with a criterium <exact>. <exact> = True requires equality, else only contained (no reg-exp) .
static Standard_EXPORT Standard_CString | IntValue (const Standard_Integer val)
| This procedure converts an Integer to a CString It is a convenient way when the value of a signature has the form of a simple integer value The value is to be used immediately (one buffer only, no copy) .
## Protected Member Functions
Standard_EXPORT | IFSelect_Signature (const Standard_CString name)
| Initializes a Signature with its name .
## Protected Attributes
TCollection_AsciiString | thename
## Private Attributes
Standard_Integer | thecasi [3]
Handle_TColStd_HSequenceOfAsciiString | thecasl

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_Signature::IFSelect_Signature | ( | const Standard_CString | name | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void IFSelect_Signature::AddCase | ( | const Standard_CString | acase | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString IFSelect_Signature::CaseList | ( |  | ) | const

Standard_EXPORT const IFSelect_Signature::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Interface_SignType. Reimplemented in IFSelect_SignAncestor, IFSelect_SignCategory, IFSelect_SignMultiple, IFSelect_SignType, IFSelect_SignValidity, IGESSelect_IGESName, IGESSelect_IGESTypeForm, IGESSelect_SignColor, IGESSelect_SignLevelNumber, IGESSelect_SignStatus, StepSelect_StepType, STEPSelections_SelectDerived, and XSControl_SignTransferStatus.

static Standard_EXPORT Standard_CString IFSelect_Signature::IntValue | ( | const Standard_Integer | val | ) | `[static]`

Standard_EXPORT Standard_Boolean IFSelect_Signature::IsIntCase | ( | Standard_Boolean & | hasmin,
|  | Standard_Integer & | valmin,
|  | Standard_Boolean & | hasmax,
|  | Standard_Integer & | valmax
| ) | const

Standard_EXPORT TCollection_AsciiString IFSelect_Signature::Label | ( |  | ) | const

virtual Standard_EXPORT Standard_Boolean IFSelect_Signature::Matches | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model,
|  | const TCollection_AsciiString & | text,
|  | const Standard_Boolean | exact
| ) | const`[virtual]`

| Reimplemented in IFSelect_SignAncestor, IFSelect_SignMultiple, IGESSelect_SignStatus, and STEPSelections_SelectDerived.

static Standard_EXPORT Standard_Boolean IFSelect_Signature::MatchValue | ( | const Standard_CString | val,
|  | const TCollection_AsciiString & | text,
|  | const Standard_Boolean | exact
| ) | `[static]`

Standard_EXPORT Standard_CString IFSelect_Signature::Name | ( |  | ) | const`[virtual]`

| Implements MoniTool_SignText.

Standard_EXPORT void IFSelect_Signature::SetIntCase | ( | const Standard_Boolean | hasmin,
|  | const Standard_Integer | valmin,
|  | const Standard_Boolean | hasmax,
|  | const Standard_Integer | valmax
| ) |

## Field Documentation

Standard_Integer IFSelect_Signature::thecasi[3]`[private]`

Handle_TColStd_HSequenceOfAsciiString IFSelect_Signature::thecasl`[private]`

TCollection_AsciiString IFSelect_Signature::thename`[protected]`

The documentation for this class was generated from the following file:

- IFSelect_Signature.hxx